package com.red.circle.wallet.app.service;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.wallet.app.dto.clientobject.CommodityRunningWaterCO;
import com.red.circle.wallet.app.dto.clientobject.DiamondConfigCO;
import com.red.circle.wallet.app.dto.cmd.DiamondExchangeGoldCmd;
import com.red.circle.wallet.app.dto.cmd.DiamondRunningWaterQueryCmd;
import java.math.BigDecimal;
import java.util.List;

/**
 * 钻石相关
 *
 * @author pengliang on 2021/1/13
 */
public interface DiamondService {

  List<CommodityRunningWaterCO> latestOneMonthsFlow(DiamondRunningWaterQueryCmd cmd);

  DiamondConfigCO getDiamondConfig(AppExtCommand cmd);

  BigDecimal diamondExchangeGold(DiamondExchangeGoldCmd cmd);

  BigDecimal getBalance(AppExtCommand cmd);
}
